

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Overview: module code &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="../_static/js/bootstrap.min.js"></script>
        <script src="../_static/js/bootstrap.bundle.min.js"></script>
        <script src="../_static/js/custom.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="../_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="../_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="../_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
      <li>Overview: module code</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <h1>All modules for which code is available</h1>
<ul><li><a href="ARegionEnvironment.html">ARegionEnvironment</a></li>
<li><a href="BTKParameter.html">BTKParameter</a></li>
<li><a href="Calendar.html">Calendar</a></li>
<li><a href="CalibrationOption.html">CalibrationOption</a></li>
<li><a href="CalibrationStatus.html">CalibrationStatus</a></li>
<li><a href="CellEnvironment.html">CellEnvironment</a></li>
<li><a href="CellEnvironmentConstRHumWind.html">CellEnvironmentConstRHumWind</a></li>
<li><a href="DrmClient.html">DrmClient</a></li>
<li><a href="DrmServer.html">DrmServer</a></li>
<li><a href="DtsClient.html">DtsClient</a></li>
<li><a href="DtsServer.html">DtsServer</a></li>
<li><a href="GeoCellData.html">GeoCellData</a></li>
<li><a href="GeoCellDataVector.html">GeoCellDataVector</a></li>
<li><a href="GeoGridSpec.html">GeoGridSpec</a></li>
<li><a href="GeoPoint.html">GeoPoint</a></li>
<li><a href="GeoPointSource.html">GeoPointSource</a></li>
<li><a href="GeoPointVector.html">GeoPointVector</a></li>
<li><a href="GeoTimeSeriesConfiguration.html">GeoTimeSeriesConfiguration</a></li>
<li><a href="GeoTimeSeriesVector.html">GeoTimeSeriesVector</a></li>
<li><a href="GeoTsMatrix.html">GeoTsMatrix</a></li>
<li><a href="HbvPhysicalSnowCalculator.html">HbvPhysicalSnowCalculator</a></li>
<li><a href="HbvSnowCalculator.html">HbvSnowCalculator</a></li>
<li><a href="HbvSoilCalculator.html">HbvSoilCalculator</a></li>
<li><a href="HbvTankCalculator.html">HbvTankCalculator</a></li>
<li><a href="KalmanBiasPredictor.html">KalmanBiasPredictor</a></li>
<li><a href="KalmanFilter.html">KalmanFilter</a></li>
<li><a href="KalmanState.html">KalmanState</a></li>
<li><a href="KirchnerCalculator.html">KirchnerCalculator</a></li>
<li><a href="KrlsRbfPredictor.html">KrlsRbfPredictor</a></li>
<li><a href="LandTypeFractions.html">LandTypeFractions</a></li>
<li><a href="PenmanMonteithCalculator.html">PenmanMonteithCalculator</a></li>
<li><a href="PrecipitationCorrectionCalculator.html">PrecipitationCorrectionCalculator</a></li>
<li><a href="PriestleyTaylorCalculator.html">PriestleyTaylorCalculator</a></li>
<li><a href="RadiationCalculator.html">RadiationCalculator</a></li>
<li><a href="RatingCurveFunction.html">RatingCurveFunction</a></li>
<li><a href="RatingCurveParameters.html">RatingCurveParameters</a></li>
<li><a href="RatingCurveSegment.html">RatingCurveSegment</a></li>
<li><a href="RatingCurveSegments.html">RatingCurveSegments</a></li>
<li><a href="RatingCurveTimeFunctions.html">RatingCurveTimeFunctions</a></li>
<li><a href="River.html">River</a></li>
<li><a href="RiverNetwork.html">RiverNetwork</a></li>
<li><a href="SkaugenCalculator.html">SkaugenCalculator</a></li>
<li><a href="SnowTilesCalculator.html">SnowTilesCalculator</a></li>
<li><a href="TargetSpecificationVector.html">TargetSpecificationVector</a></li>
<li><a href="TimeAxis.html">TimeAxis</a></li>
<li><a href="TimeSeries.html">TimeSeries</a></li>
<li><a href="TsTransform.html">TsTransform</a></li>
<li><a href="TsVector.html">TsVector</a></li>
<li><a href="TzInfo.html">TzInfo</a></li>
<li><a href="UtcPeriod.html">UtcPeriod</a></li>
<li><a href="UtcTimeVector.html">UtcTimeVector</a></li>
<li><a href="YMDhms.html">YMDhms</a></li>
<li><a href="YWdhms.html">YWdhms</a></li>
<li><a href="shyft/dashboard/apps/dtss_viewer/dtsc_helper_functions.html">shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions</a></li>
<li><a href="shyft/dashboard/apps/dtss_viewer/dtss_viewer_app.html">shyft.dashboard.apps.dtss_viewer.dtss_viewer_app</a></li>
<li><a href="shyft/dashboard/apps/dtss_viewer/widgets.html">shyft.dashboard.apps.dtss_viewer.widgets</a></li>
<li><a href="shyft/dashboard/base/app.html">shyft.dashboard.base.app</a></li>
<li><a href="shyft/energy_market/core.html">shyft.energy_market.core</a></li>
<li><a href="shyft/energy_market/stm.html">shyft.energy_market.stm</a></li>
<li><a href="shyft/hydrology.html">shyft.hydrology</a></li>
<ul><li><a href="shyft/hydrology/_api.html">shyft.hydrology._api</a></li>
</ul><li><a href="shyft/time_series/_time_series.html">shyft.time_series._time_series</a></li>
<li><a href="time.html">time</a></li>
</ul>

           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>